org.eclipse.net4j.util.concurrent

## Class TimeoutRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.concurrent.TimeoutRuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class TimeoutRuntimeException
      extends java.lang.RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutRuntimeException()`
    `TimeoutRuntimeException(java.lang.String message)`
    `TimeoutRuntimeException(java.lang.String message, java.lang.Throwable cause)`
    `TimeoutRuntimeException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.TimeoutException` | `createTimeoutException()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeoutRuntimeException

          public TimeoutRuntimeException()

    - #### TimeoutRuntimeException

          public TimeoutRuntimeException(java.lang.String message)

    - #### TimeoutRuntimeException

          public TimeoutRuntimeException(java.lang.Throwable cause)

    - #### TimeoutRuntimeException

          public TimeoutRuntimeException(java.lang.String message,
                                         java.lang.Throwable cause)

  - ### Method Detail

    - #### createTimeoutException

          public java.util.concurrent.TimeoutException createTimeoutException()

      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html